package xyz.luxnk.lproject.bean;

import org.nutz.dao.entity.annotation.Column;
import org.nutz.json.Json;
import org.nutz.json.JsonFormat;

import java.util.Date;

/**
 * 基本Pojo类，定义了Bean包里类共有的属性和方法
 */
public abstract class BasePojo {

    @Column("create_time")
    protected Date createTime;

    @Column("update_time")
    protected Date updateTime;

    @Override
    public String toString() {

        // 这不是必须的，只是为了debug的时候方便看
        return Json.toJson(this, JsonFormat.compact());
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}
